astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- NASA ADS Queries (`astroquery.nasa_ads`) »
- ADSClass

# ADSClass

class astroquery.nasa_ads.ADSClass(*args)

  Bases: `BaseQuery`

  set some parameters

  Attributes Summary

  `ADS_FIELDS` |
  `NROWS` |
  `NSTART` |
  `QUERY_SIMPLE_PATH` |
  `QUERY_SIMPLE_URL` |
  `SERVER` |
  `SORT` |
  `TIMEOUT` |
  `TOKEN` |

  Methods Summary

  `query_simple`(query_string, *[, ...]) | Basic query.

  Attributes Documentation

  ADS_FIELDS = ['bibcode', 'title', 'author', 'aff', 'pub', 'volume', 'pubdate', 'page', 'citation', 'citation_count', 'abstract', 'doi', 'eid']
  NROWS = 10
  NSTART = 0
  QUERY_SIMPLE_PATH = '/v1/search/query?'
  QUERY_SIMPLE_URL = 'https://api.adsabs.harvard.edu/v1/search/query?'
  SERVER = 'https://api.adsabs.harvard.edu'
  SORT = 'date desc'
  TIMEOUT = 120
  TOKEN = None

  Methods Documentation

  query_simple(query_string, *, get_query_payload=False, get_raw_response=False, cache=True)

    Basic query. Uses a string and the ADS generic query.